# 상세 응답

DFINERY Export API는 HTTP 응답 코드와 상세 응답 코드를 통해 요청의 성공과 실패를 판단합니다.

## HTTP 응답 코드

| 응답 코드                    | 설명                                                                                          |
| ------------------------- | ------------------------------------------------------------------------------------------- |
| `200 - OK`                | 서버에서 정상적으로 요청을 받았습니다.                                                                       |
| `400 - Bad Request`       | <p>요청을 처리할 수 없습니다.<br>필수 파라미터를 보내지 않았거나, 파라미터 포맷이 잘못되었을 때 돌아오는 응답입니다. 요청 파라미터를 확인해 주세요.</p> |
| `429 - Too Many Requests` | <p>비정상적으로 많은 요청을 보냈습니다.<br>잠시 후 다시 시도해 주세요.</p>                                             |
| `500 - Server Error`      | 서버 내부에서 에러가 발생했습니다                                                                          |

## 상세 응답

API 호출이 실패한 경우, 상세 응답 결과를 통해 오류에 대해 상세한 정보를 얻을 수 있습니다.

<table><thead><tr><th width="140">응답 코드</th><th width="128">result</th><th width="247">message</th><th width="154.94140625">설명</th><th width="210.97265625">해결 방법</th></tr></thead><tbody><tr><td>200</td><td>fail</td><td><code>client_connection_closed</code></td><td>클라이언트 연결이 종료되었습니다.</td><td>클라이언트 네트워크 상태를 점검하고, 원인을 분석하여 재시도합니다.</td></tr><tr><td>400</td><td>fail</td><td><code>invalid_parameter</code></td><td>제공된 요청 파라미터가 잘못되었거나 형식이 맞지 않습니다.</td><td>요청 파라미터의 형식과 값을 검토하고 올바르게 수정합니다.</td></tr><tr><td>400</td><td>fail</td><td><code>exceed_date_range_limit</code></td><td>요청한 시작일이 허용된 범위를 초과하였습니다.</td><td>요청한 시작일을 최소 30일 이내의 날짜로 조정한 후 다시 시도합니다.</td></tr><tr><td>401</td><td>fail</td><td><code>unauthorized_token</code></td><td>유효하지 않은 Export 토큰입니다.</td><td>새로운 유효한 토큰을 발급받아 요청을 다시 시도합니다.</td></tr><tr><td>429</td><td>fail</td><td><code>too_many_api_requests</code></td><td>요청한 API 호출 수가 한도를 초과했습니다.</td><td>초과 범위 내에서 요청을 다시 시도합니다.</td></tr><tr><td>500</td><td>fail</td><td><code>unknown_error</code></td><td>시스템 내부에서 예기치 않은 오류가 발생했습니다.</td><td>시스템 로그를 확인 후 원인을 분석합니다. 오류가 지속되면 문의 부탁드립니다.</td></tr><tr><td>500</td><td>fail</td><td><code>query_error</code></td><td>요청된 데이터베이스 쿼리가 실행되지 않고, 실패하였습니다.</td><td>시스템 로그를 확인 후 원인을 분석합니다. 오류가 지속되면 문의 부탁드립니다.</td></tr></tbody></table>

## 응답 예시

### 성공

성공 시 헤더를 포함한 csv포맷의 데이터를 응답으로 받게 됩니다. 자세한 사항은 각 [API 문서](/api-guide/api/export-api/export.md)를 참고하시면 됩니다.

### exceed\_date\_range\_limit

```json
400 BAD REQUEST
{
    "result": "fail",
    "message": "exceed_date_range_limit"
}
```

### unknown\_error

```json
500 INTERNAL_SERVER_ERROR
{
    "result": "fail",
    "message": "unknown_error"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dfinery.ai/api-guide/api/export-api/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
